Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004167 [JEDI VCL] 00 JVCL Components minor always 2007-06-26 04:53 2007-10-12 08:22
Reporter syk0 View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.31
Summary 0004167: JvNavigationPane / JvNavPanelPage
Description Canvas draw error(s) with Vista Aero effect.

When using Vista's Aero desktop theme, BDS 2007 (and Delphi 7) produce an error when a control is added to JvNavPanelPage and its Align properties are set to alClient.
The error is produced both in the BDS IDE and the compiled application.
Additional Information ===============================================================================
BDS 2007 Error:
[200E7CFC]{vcl100.bpl } Graphics.TCanvas.RequiredState + $40
[200E74DA]{vcl100.bpl } Graphics.TCanvas.FillRect + $16
[490E8F04]{JvCoreD10R.bpl} JvThemes.DrawThemedBackground + $F8
[499E3B9A]{JvPageCompsD10R.bpl} JvPageList.TJvCustomPage.DoEraseBackground + $36
[490ECF38]{JvCoreD10R.bpl} JvExControls.TJvExCustomControl.WndProc + $408
[20064E75]{rtl100.bpl } UxTheme.BeginBufferedPaint + $25
[2013F334]{vcl100.bpl } Controls.TControl.Perform + $24
[2014411F]{vcl100.bpl } Controls.TWinControl.WMPaint + $A7
[20006936]{rtl100.bpl } System.@IsClass + $E
[20148518]{vcl100.bpl } Controls.TCustomControl.WMPaint + $10
[2013F6A7]{vcl100.bpl } Controls.TControl.WndProc + $2BB
[062A9CF4]{vcldesigner100.bpl} VCLSurface.MouseEvent + $64
[062A9F1E]{vcldesigner100.bpl} VCLSurface.MouseEvent + $28E
[062A9F33]{vcldesigner100.bpl} VCLSurface.MouseEvent + $2A3
[2000A348]{rtl100.bpl } System.TInterfacedObject._Release + $C
[2000A264]{rtl100.bpl } System.@IntfClear + $10
[062AAF6B]{vcldesigner100.bpl} VCLSurface.TVclDesignSurface.IsDesignMsg + $7C3
[2000A332]{rtl100.bpl } System.TInterfacedObject._AddRef + $A
[2000A275]{rtl100.bpl } System.@IntfCopy + $9
[2000A348]{rtl100.bpl } System.TInterfacedObject._Release + $C
[2000A264]{rtl100.bpl } System.@IntfClear + $10
[062AA6BB]{vcldesigner100.bpl} VCLSurface.PaintEvent + $14B
[20031FC4]{rtl100.bpl } Classes.TThreadList.UnlockList + $4
[2000A348]{rtl100.bpl } System.TInterfacedObject._Release + $C
[2000A264]{rtl100.bpl } System.@IntfClear + $10
[062AAF6B]{vcldesigner100.bpl} VCLSurface.TVclDesignSurface.IsDesignMsg + $7C3
[20143736]{vcl100.bpl } Controls.TWinControl.WndProc + $4FA
[20006936]{rtl100.bpl } System.@IsClass + $E
[490EB250]{JvCoreD10R.bpl} JvExControls.DispatchIsDesignMsg + $68
[490ED015]{JvCoreD10R.bpl} JvExControls.TJvExCustomControl.WndProc + $4E5
[20031FC4]{rtl100.bpl } Classes.TThreadList.UnlockList + $4
[200EBA20]{vcl100.bpl } Graphics.FreeMemoryContexts + $98
[20142E60]{vcl100.bpl } Controls.TWinControl.MainWndProc + $2C
[20040DE4]{rtl100.bpl } Classes.StdWndProc + $14
[2013A7BA]{vcl100.bpl } Controls.FindControl + $42
[20160EF8]{vcl100.bpl } Forms.TApplication.ProcessMessage + $FC
[20160F32]{vcl100.bpl } Forms.TApplication.HandleMessage + $A
[20161188]{vcl100.bpl } Forms.TApplication.Run + $CC
[00422971]{bds.exe } bds.bds (Line 196, "" + 7) + $2
===============================================================================
Tags No tags attached.
Attached Files jpg file icon bug JvNavigationPanejpg.jpg [^] (280,622 bytes) 2007-08-22 05:15

- Relationships

-  Notes
(0013539)
syk0 (reporter)
2007-06-27 02:57

Error is also produced with JVCL 3.32
(0013643)
AHUser (developer)
2007-08-18 07:28

This bug should be already fixed. Can you confirm this with a daily snapshot?
(0013647)
Bricevincent3 (reporter)
2007-08-22 05:18

I have the same problem (Vista with Aero) on version 3.31 and 3.32. When Aero is off there is no problem. It happens when we change the ActivePage on both CodeGear 2007 IDE and compiled application.

error :
[200E7CFC]{vcl100.bpl } Graphics.TCanvas.RequiredState (Line 2785, "Graphics.pas" + 8) + $12
[200E74DA]{vcl100.bpl } Graphics.TCanvas.FillRect (Line 2477, "Graphics.pas" + 2) + $9
[490E8F04]{JvCoreD11R.bpl} JvThemes.DrawThemedBackground + $F8
[499E3B9A]{JvPageCompsD11R.bpl} JvPageList.TJvCustomPage.DoEraseBackground + $36
[490ECF34]{JvCoreD11R.bpl} JvExControls.TJvExCustomControl.WndProc + $408
[20064E59]{rtl100.bpl } UxTheme.BeginBufferedPaint (Line 5326, "win\UxTheme.pas" + 2) + $E
[2013AE98]{vcl100.bpl } Controls.TControl.Perform (Line 5021, "Controls.pas" + 5) + $C
[2013FD73]{vcl100.bpl } Controls.TWinControl.WMPaint (Line 7569, "Controls.pas" + 15) + $F
[20006936]{rtl100.bpl } System.@IsClass (Line 9077, "sys\system.pas" + 1) + $8
[20144158]{vcl100.bpl } Controls.TCustomControl.WMPaint (Line 10135, "Controls.pas" + 2) + $4
[2013B20B]{vcl100.bpl } Controls.TControl.WndProc (Line 5146, "Controls.pas" + 83) + $6
[2000A332]{rtl100.bpl } System.TInterfacedObject._AddRef (Line 17972, "sys\system.pas" + 1) + $4
[2000A275]{rtl100.bpl } System.@IntfCopy (Line 17866, "sys\system.pas" + 6) + $0
[2000A348]{rtl100.bpl } System.TInterfacedObject._Release (Line 17977, "sys\system.pas" + 1) + $4
[2000A264]{rtl100.bpl } System.@IntfClear (Line 17824, "sys\system.pas" + 7) + $0
[211DA6D7]{vcldesigner100.bpl} VCLSurface.PaintEvent (Line 3060, "vclsurface.pas" + 24) + $28
[20031FC4]{rtl100.bpl } Classes.TThreadList.UnlockList (Line 3359, "common\Classes.pas" + 0) + $4
[2000A348]{rtl100.bpl } System.TInterfacedObject._Release (Line 17977, "sys\system.pas" + 1) + $4
[2000A264]{rtl100.bpl } System.@IntfClear (Line 17824, "sys\system.pas" + 7) + $0
[211DAF87]{vcldesigner100.bpl} VCLSurface.TVclDesignSurface.IsDesignMsg (Line 3269, "vclsurface.pas" + 178) + $28
[2013F38A]{vcl100.bpl } Controls.TWinControl.WndProc (Line 7304, "Controls.pas" + 111) + $6
[20006936]{rtl100.bpl } System.@IsClass (Line 9077, "sys\system.pas" + 1) + $8
[490EB24C]{JvCoreD11R.bpl} JvExControls.DispatchIsDesignMsg + $68
[490ED011]{JvCoreD11R.bpl} JvExControls.TJvExCustomControl.WndProc + $4E5
[2013EAB4]{vcl100.bpl } Controls.TWinControl.MainWndProc (Line 7073, "Controls.pas" + 3) + $6
[20040DD4]{rtl100.bpl } Classes.StdWndProc (Line 11583, "common\Classes.pas" + 8) + $0
[2000A332]{rtl100.bpl } System.TInterfacedObject._AddRef (Line 17972, "sys\system.pas" + 1) + $4
[20141E81]{vcl100.bpl } Controls.TWinControl.Update (Line 8830, "Controls.pas" + 1) + $12
[20141E99]{vcl100.bpl } Controls.TWinControl.Repaint (Line 8836, "Controls.pas" + 2) + $4
[2013A042]{vcl100.bpl } Controls.TControl.Refresh (Line 4530, "Controls.pas" + 0) + $2
[499E43C4]{JvPageCompsD11R.bpl} JvPageList.TJvCustomPageList.SetActivePage + $158
[499ED109]{JvPageCompsD11R.bpl} JvNavigationPane.TJvCustomNavigationPane.SetActivePage + $5
[499E4165]{JvPageCompsD11R.bpl} JvPageList.TJvCustomPageList.ShowControl + $1D
[2013A00D]{vcl100.bpl } Controls.TControl.Show (Line 4518, "Controls.pas" + 1) + $D
[211D5DBB]{vcldesigner100.bpl} VCLSurface.TControlItem.Show (Line 898, "vclsurface.pas" + 0) + $3
[20D98EB2]{designide100.bpl} ComponentDesigner.TComponentRoot.Select (Line 3429, "ComponentDesigner.pas" + 11) + $5
[20D98ECD]{designide100.bpl} ComponentDesigner.TComponentRoot.Select (Line 3432, "ComponentDesigner.pas" + 14) + $B
[20D9D098]{designide100.bpl} ComponentDesigner.TComponentRoot.SelectComponent (Line 5039, "ComponentDesigner.pas" + 0) + $0
[20D9A8E1]{designide100.bpl} ComponentDesigner.TComponentRoot.SetSelections (Line 4082, "ComponentDesigner.pas" + 7) + $13
[20D9A900]{designide100.bpl} ComponentDesigner.TComponentRoot.SetSelections (Line 4084, "ComponentDesigner.pas" + 9) + $B
[20D8FF8A]{designide100.bpl} TreeIntf.TRootSprigStructureContext.NodeSelected (Line 3690, "TreeIntf.pas" + 40) + $8
[20B1996B]{coreide100.bpl} StructureView.TBaseStructureViewServices.NodeSelected (Line 776, "StructureView.pas" + 3) + $A
[20B1B6A2]{coreide100.bpl} StructureView.TStructureViewForm.VirtualStringTree1Change (Line 1451, "StructureView.pas" + 14) + $15
[20EC6B82]{vclide100.bpl} IDEVirtualTrees.TBaseVirtualTree.DoChange (Line 17955, "idevirtualtrees.pas" + 3) + $A
[20EC5AD2]{vclide100.bpl} IDEVirtualTrees.TBaseVirtualTree.Change (Line 17124, "idevirtualtrees.pas" + 8) + $6
[20EC51BA]{vclide100.bpl} IDEVirtualTrees.TBaseVirtualTree.AddToSelection (Line 16762, "idevirtualtrees.pas" + 7) + $6
[20ECB4CF]{vclide100.bpl} IDEVirtualTrees.TBaseVirtualTree.HandleMouseDown (Line 20727, "idevirtualtrees.pas" + 199) + $7
[20EC431D]{vclide100.bpl} IDEVirtualTrees.TBaseVirtualTree.WMLButtonDown (Line 16177, "idevirtualtrees.pas" + 6) + $8
[2013B20B]{vcl100.bpl } Controls.TControl.WndProc (Line 5146, "Controls.pas" + 83) + $6
[20EBCC5F]{vclide100.bpl} IDEVirtualTrees.TVTHeader.InHeader (Line 11017, "idevirtualtrees.pas" + 8) + $D
[20EBC440]{vclide100.bpl} IDEVirtualTrees.TVTHeader.HandleMessage (Line 10696, "idevirtualtrees.pas" + 278) + $8
[2013F38A]{vcl100.bpl } Controls.TWinControl.WndProc (Line 7304, "Controls.pas" + 111) + $6
[20031FC4]{rtl100.bpl } Classes.TThreadList.UnlockList (Line 3359, "common\Classes.pas" + 0) + $4
[200EBA24]{vcl100.bpl } Graphics.FreeMemoryContexts (Line 5031, "Graphics.pas" + 12) + $5
[2013EE3C]{vcl100.bpl } Controls.TWinControl.IsControlMouseMsg (Line 7176, "Controls.pas" + 9) + $25
[2013F38A]{vcl100.bpl } Controls.TWinControl.WndProc (Line 7304, "Controls.pas" + 111) + $6
[20ECEB3A]{vclide100.bpl} IDEVirtualTrees.TBaseVirtualTree.WndProc (Line 23132, "idevirtualtrees.pas" + 32) + $4
[2013EAB4]{vcl100.bpl } Controls.TWinControl.MainWndProc (Line 7073, "Controls.pas" + 3) + $6
[20040DD4]{rtl100.bpl } Classes.StdWndProc (Line 11583, "common\Classes.pas" + 8) + $0
[201622A9]{vcl100.bpl } Forms.TApplication.StopHintTimer (Line 8669, "Forms.pas" + 3) + $6
[201611EC]{vcl100.bpl } Forms.TApplication.ProcessMessage (Line 8102, "Forms.pas" + 23) + $1
[20161226]{vcl100.bpl } Forms.TApplication.HandleMessage (Line 8121, "Forms.pas" + 1) + $4
[20161537]{vcl100.bpl } Forms.TApplication.Run (Line 8219, "Forms.pas" + 20) + $3
[0042298E]{bds.exe } bds.bds (Line 196, "" + 7) + $7
(0013931)
obones (administrator)
2007-10-12 08:21

Please use version 3.33 or later

- Issue History
Date Modified Username Field Change
2007-06-26 04:53 syk0 New Issue
2007-06-27 02:57 syk0 Note Added: 0013539
2007-08-18 07:28 AHUser Note Added: 0013643
2007-08-18 07:28 AHUser Assigned To => AHUser
2007-08-18 07:28 AHUser Status new => feedback
2007-08-22 05:15 Bricevincent3 File Added: bug JvNavigationPanejpg.jpg
2007-08-22 05:18 Bricevincent3 Note Added: 0013647
2007-08-22 10:55 Bricevincent3 Issue Monitored: Bricevincent3
2007-10-12 08:21 obones Status feedback => resolved
2007-10-12 08:21 obones Fixed in Version => 3.33
2007-10-12 08:21 obones Resolution open => fixed
2007-10-12 08:21 obones Note Added: 0013931


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker